Gönderen Konu: Pacman güncelleme sorunu ve çözümü  (Okunma sayısı 1515 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

Çevrimdışı Rbbt

  • Newbie
  • *
  • İleti: 256
Pacman güncelleme sorunu ve çözümü
« : 12 Nisan 2012 - 21:32:02 »
Geçen gün güncelleme yaparken güncellemeler arasında pacman olduğundan önce pacman'i kurmam gerektiğini bildiren bir yazıyla karşılaştım. Uyarıya Evet diyerek devam ettiğimde ise aşağıdaki hata ile karşılaştım.


Kod: [Seç]
:: Synchronising package databases...
 core is up to date
 extra is up to date
 community is up to date
:: The following packages should be upgraded first :
    pacman
:: Do you want to cancel the current operation
:: and upgrade these packages now? [Y/n] y

resolving dependencies...
looking for inter-conflicts...
error: failed to prepare transaction (could not satisfy dependencies)
:: gcc: requires gcc-libs=4.7.0-3


gcc-libs 4.7.0-3 sistemde yüklü olmasına rağmen hata aldım. Bu güncellemeyi alabilmek için yabancı forumlarda yapılmış bir kaç öneri var. Bunlar:



1- Önce pacman'i güncellememiz istendiğinde biz Hayır diyerek devam etmeliyiz.



2- Güncelleme öncesi
Kod: [Seç]
pacman -S pacman
komutu ile önce pacman'i güncelleyip sonra diğer güncellemeleri alabiliriz.



Not]
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Anonymous »

Çevrimdışı cmdexe

  • Newbie
  • *
  • İleti: 30
Cvp: Pacman güncelleme sorunu ve çözümü
« Yanıtla #1 : 12 Nisan 2012 - 22:17:04 »
önce gcc ve gcc-libs paketlerini yükleyin ardından pacmanı güncelleyin sorunsuz yüklenecektir
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Anonymous »
Command™

Çevrimdışı hsngrms

  • İleti: 1.707
Cvp: Cvp: Pacman güncelleme sorunu ve çözümü
« Yanıtla #2 : 12 Nisan 2012 - 22:53:39 »
Konu için teşekkürler.
Alıntı yapılan: "cmdexe"

önce gcc ve gcc-libs paketlerini yükleyin ardından pacmanı güncelleyin sorunsuz yüklenecektir

Hata verdiğinde ben de aşağıdaki komutu verdim. Baktım yüklenecek paketler arasında pacman de görünüyor. :)
Kod: [Seç]
pacman -Syu gcc-libs


Arch kullanıcısı için çerez bunlar. :)
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Anonymous »

Çevrimdışı krwlng

  • Newbie
  • *
  • İleti: 54
RE: Pacman güncelleme sorunu ve çözümü
« Yanıtla #3 : 15 Nisan 2012 - 16:59:07 »
Ben hayır dedim güncellemeyi yaptım sonrasında
Kod: [Seç]
pacman -Sy pacman
komutunu verdim ama zaten güncel dedi, demekki arada güncellemiş hepsini.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Anonymous »